{proprint/xmllib.i}
{proprint/ttparams.i}

def input parameter tth as handle no-undo.
def input parameter table for ttParams.
def input param cSaveLocation as char no-undo.

def var fld as handle.
def var qh as handle.
def var hnote as handle no-undo.
def var i as int no-undo.
def var i2 as int no-undo.

if not valid-handle(tth) then return.


run create-objects.
run add-table(lower(tth:name)).

/*setting params to the xml*/
DEF VAR cEntry AS CHAR NO-UNDO.
find first ttParams no-lock no-error.
if avail ttParams then do:
    run add-row("parameters").
    for each ttParams no-lock:
        hnote = create-note("parameter").
        run set-note-attr(hnote, "name", ttParams.cName).
        DO i = 1 TO NUM-ENTRIES(ttParams.cAttrlst):
            cEntry = ENTRY(i,ttParams.cAttrlst).
            RUN set-note-attr(hnote, ENTRY(1,cEntry,"=":U), ENTRY(2,cEntry,"=":U)).
        END.
        run set-note-value(hnote, ttParams.cValue).
        run add-note(hnote).
    end.
end.

create query qh.
qh:set-buffers(tth:default-buffer-handle).
qh:query-prepare("for each " + tth:name ) .
qh:query-open().

repeat:
    qh:get-next().
    if qh:query-off-end then leave.
    
    run add-row("row").
    
    do i = 1 to  tth:default-buffer-handle:num-fields:
        fld = tth:default-buffer-handle:buffer-field(i).
        if fld:extent > 0 then do:
            hnote = create-note(lower(fld:name)).
            do i2 = 1 to fld:extent:
                run set-note-attr(hnote, "index" + string(i2), fld:buffer-value(i2)).
            end.
            run add-note(hnote).
        end.
        else do:
            run add-field(lower(fld:name), fld:buffer-value()).
        end.
    end.
end.

qh:query-close().
tth:default-buffer-handle:buffer-release().
delete object tth.
delete object qh.
IF cSaveLocation = ? THEN DO:
    RUN proprint/gtmpfileex.p("xml", OUTPUT cSaveLocation).
END.
run save-table(cSaveLocation).
run delete-objects.
RETURN cSaveLocation.

