def temp-table ttParams no-undo
    field cName as char 
    field cValue as char
    field cAttrlst as char init ""
index idx is primary cName.

procedure add-param.
    def input param cName as char no-undo.
    def input param cValue as char no-undo.
    
    if cName <> ? and cName <> '' then do:
        find first ttParams where ttParams.cName = cName no-error.
        if not avail ttParams then
            create ttParams.
        ttParams.cName = cName.
        ttParams.cValue = (if cValue = ? then '' else cValue).
    end.
end procedure.

procedure add-param-attr.
    def input param cName as char no-undo.
    def input param cValue as char no-undo.
    DEF INPUT PARAM cAttrlst AS CHAR NO-UNDO.    
    if cName <> ? and cName <> '' then do:
        create ttParams.
        ttParams.cName = cName.
        ttParams.cValue = (if cValue = ? then '' else cValue).
        ttParams.cAttrlst = cAttrlst.
    end.
end procedure.

function get-param-value returns char
    (input cName as char):

    find first ttParams where ttParams.cName = cName no-lock no-error.
    if avail ttParams then
        return ttParams.cValue.

    return "".

end function.

procedure delete-param.
    def input param cName as char no-undo.
    
    for first ttParams where ttParams.cName = cName:
        delete ttParams.
    end.

end procedure.
