{proprint/ttparams.i}
{tt-def.i}

def var i as int init 0 no-undo.

RUN add-param("TITLEVAR", "INVOICE").
RUN add-param("ORDER-NR", "1234567 - 56"). 
RUN add-param("ORDER-DATE", string(today, "99.99.9999")  + "  / " + string(time, "HH:MM.SS")).
RUN add-param("ORDER-PAYER", "Payer name").
RUN add-param("ORDER-PAYER-ADR", "Payer address").
RUN add-param("ORDER-PAYER-BANK", "Bank name").
RUN add-param("ORDER-REF-NR", "Ref number").
RUN add-param("TRANS-DATE", string(today + 7, "99.99.9999")).
RUN add-param("REMARKS", "REMARKS").
RUN add-param("year", year(today)).
RUN add-param("firm", "OY FirmName").
RUN add-param("username", "User Name").

do i = 1 to 20:
    create orderline.
    orderline.id = i.
    orderline.item_name = "Name of the item " + string(i).
    orderline.batch_expire = string(today + 100, "99.99.9999").
    orderline.qty = string(10, "->>>>>").
    orderline.dSum = "100.00".
    orderline.vat = "18.00".
    orderline.belongs = "XXLS".
    orderline.producer = "Producer".
    orderline.producer_country = "EE".
    orderline.cat-code = "12345".
    orderline.seria_nr = "XSA".
    orderline.price_neto = STRING(59, ">>>9.999") .
    orderline.max_price = "120.00".
    orderline.limit_price = "120.00".
    orderline.vat_exist = "12.00".
    orderline.asterix = "*".
end.                         

/*print sample
run proprint/print.p (TEMP-TABLE arve:HANDLE, 
                      TABLE ttparams, 
                      "proprint/templates/invoice.jasper",
                      "\\PrintServer\Printer",
                      1 ).
*/

/*email sample
run proprint/print.p (TEMP-TABLE arve:HANDLE, 
                      TABLE ttparams, 
                      "proprint/templates/invoice.jasper",
                      "email1@adr.com;email2@adr.com",
                      "Subject",
                      "Body" ).
*/


/*save to the file sample 
  formats are: pdf, xls, rtf, xml, txt, html*/
run proprint/file.p (TEMP-TABLE orderline:HANDLE, 
                      TABLE ttparams, 
                      "proprint/templates/invoice.jasper",
                      "c:\order.pdf").
